[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#474632: Bug #474632: josm: Should not enter testing


On May 21  20:00, Torsten Werner wrote:
> On Sun, May 18, 2008 at 6:58 PM, Giovanni Mascellani
> <g.mascellani@gmail.com> wrote:
> > while an out-of-date josm wouldn't work for anyone.
> every Flickr client, the google data api, instant messager client that
> talk proprietory protocols and probably more packages have the same
> problem but we ship them in testing and stable anyway. I still think
> your bug report is not valid. I have set debian-release on Cc: to get
> their opinion about this issue.

when i opened this bug there was an upcoming Openstreetmap Web API release 
under development but it wasn't clear when it will be ready and if the API
will stay compatible. That's why we decided to keep josm out of lenny
until some more information was available.
It's now confirmed that the API will indeed be incompatible but chances
are good that it will be deployed in june which would mean some weeks
left for testing josm and maybe ship it with lenny.

We can, however, expect more changes to the OSM API during lenny release
cycle. In the past, a new version has been deployed more or less every 6
month. So far, every change of the API was incompatible with no
transition period. Upstream stated that they currently do not want to
provide a stable API nor provide time for transitions.

Provided that the new API is ready in june we could likely ship a working
josm with lenny but we can expect its breakage after a few month as well.


Reply to: